#pragma once

#include <maps/wikimap/mapspro/libs/assessment/include/unit.h>
#include <pqxx/pqxx>

namespace maps::wiki::assessment::units {

namespace sqlClause {

std::string statusEquals(UnitStatus status);
std::string fixable(TUid uid);

} // sqlClause

bool tryFix(pqxx::transaction_base& txn, TUid uid, TId unitId);

} // maps::wiki::assessment::units
